/**
 * 
 */
const currency = (value = 0, symbol = '$', symbolPosition = 'before', thousandsSeparator = '.', decimalPlaces = 2, decimalSeparator = ',', decimalZeros = false) => {
    value = value.toString()

    if (decimalPlaces > 2) {
        decimalPlaces = 2
    }

    if (!!(`${thousandsSeparator}${decimalSeparator}`).replace(/\.,|,\./g, '')) {
        throw new Error('Same thousands and decimal separator is not allowed')
    }

    value = value.split('.')

    value[0] = value[0].replace(/(\d)(?=(\d\d\d)+(?!\d))/g, `$1${thousandsSeparator}`)

    if (!!value[1]) {
        value[1] = Number.parseFloat(`1.${value[1]}e${decimalPlaces}`)
        value[1] = Math.round(value[1]).toString().replace(/^1/, '')
    }

    value = value.join(decimalSeparator)

    if (!decimalZeros) {
        value = value.replace(/([\.|,]\d)0$/, '$1')
    }

    return symbolPosition === 'before' ? `${symbol} ${value}` : `${value} ${symbol}`
}

export default currency